Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 213638 - media-video/mplayer memory leak with ssa subtitles
Summary: media-video/mplayer memory leak with ssa subtitles
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-16 23:55 UTC by sourlover
Modified: 2008-03-21 23:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sourlover 2008-03-16 23:55:18 UTC
There's a memory leak in mplayer when rendering ssa subtitles with the -ass option. It causes it to leak about 1GB for every hour of play. It was discussed and resolved in this thread:
http://thread.gmane.org/gmane.comp.video.mplayer.user/55228/focus=55463

It was addressed with a series of commits, the last of which is r26068, here:
http://article.gmane.org/gmane.comp.video.mplayer.cvs/8742

So I'd like to request a bump to atleast r26068 to resolve the issue.

Reproducible: Always

Steps to Reproduce:
1. Get video file, get ssa subtitles.
2. Play with mplayer -ass file
3. Watch your video grind to a halt about an hour in as your machine dies the death of swap.
Comment 1 Steve Dibb (RETIRED) gentoo-dev 2008-03-17 14:25:03 UTC
Thanks, svn revision 26258 in the tree
Comment 2 sourlover 2008-03-21 23:51:58 UTC
Thanks for the quick bump! Closing bug..